Index: trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 3017)
@@ -13,5 +13,5 @@
   /// attributes.
   /// </summary>
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class TypeName {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 3017)
@@ -11,5 +11,5 @@
   /// <c>ConfigurationService</c>.
   /// </summary>
-  [StorableClass(StorableClassType.MarkedOnly)]    
+  [StorableClass]    
   public class Configuration {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 3017)
@@ -7,5 +7,5 @@
   /// Common base class for defining a new serialization format.
   /// </summary>  
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class FormatBase<SerialDataFormat> : IFormat<SerialDataFormat> where SerialDataFormat : ISerialData {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 3017)
@@ -11,5 +11,5 @@
   /// <typeparam name="Source">The source type.</typeparam>
   /// <typeparam name="SerialData">The serialized type.</typeparam>
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class PrimitiveSerializerBase<Source, SerialData> :
       IPrimitiveSerializer<Source, SerialData>
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 3017)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class ArraySerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 3017)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class CompactNumberArray2StringSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 3017)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class DictionarySerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 3017)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class EnumSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 3017)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class EnumerableSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 3017)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class KeyValuePairSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 3017)
@@ -12,5 +12,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class Number2StringSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 3017)
@@ -11,5 +11,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class NumberEnumerable2StringSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 3017)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class StackSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 3017)
@@ -10,5 +10,5 @@
   /// <summary>
   /// Mark the member of a class to be considered by the <c>StorableSerializer</c>.
-  /// The class must be marked as <c>[StorableClass(StorableClassType.Empty)]</c> and the
+  /// The class must be marked as <c>[StorableClass]</c> and the
   /// <c>StorableClassType</c> should be set to <c>MarkedOnly</c> for
   /// this attribute to kick in.
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs	(revision 3017)
@@ -13,12 +13,6 @@
 
     /// <summary>
-    /// Serialize the class completely empty
-    /// (ignore further [Storable] attributes inside the class)
-    /// </summary>
-    Empty,
-
-    /// <summary>
     /// Serialize only fields and properties that have been marked
-    /// with the [Storable] attribute
+    /// with the [Storable] attribute. This is the default value.
     /// </summary>
     MarkedOnly,
@@ -57,11 +51,20 @@
     /// Specify how members are selected for serialization.
     /// </summary>
-    public StorableClassType Type { get; set; }    
+    public StorableClassType Type { get; set; }
 
     /// <summary>
-    /// Mark a class to be serialize by the <c>StorableSerizlier</c>    
-    /// </summary>    
+    /// Mark a class to be serialize by the <c>StorableSerizlier</c>
+    /// </summary>
+    /// <param name="type">The storable class type.</param>
     public StorableClassAttribute(StorableClassType type) {
       Type = type;
+    }
+
+    /// <summary>
+    /// Initializes a new instance of the <see cref="StorableClassAttribute"/> class.
+    /// The default value for <see cref="StorableClassType"/> is
+    /// <see cref="StorableClassType.MarkedOnly"/>.
+    /// </summary>
+    public StorableClassAttribute() {
     }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 3017)
@@ -11,9 +11,9 @@
   /// <summary>
   /// Intended for serialization of all custom classes. Classes should have the
-  /// <c>[StorableClass(StorableClassType.Empty)]</c> attribute set and a serialization mode set.
+  /// <c>[StorableClass]</c> attribute set and a serialization mode set.
   /// Optionally selected fields and properties can be marked with the
   /// <c>[Storable]</c> attribute.
   /// </summary>
-  [StorableClass(StorableClassType.Empty)]    
+  [StorableClass]    
   public class StorableSerializer : ICompositeSerializer {
 
@@ -33,5 +33,5 @@
         StorableConstructorAttribute.GetStorableConstructor(type) == null)
         return "no default constructor and no storable constructor";
-      return "class or one of its base classes is not empty and has no [StorableClass(StorableClassType.Empty)] attribute";
+      return "class or one of its base classes is not empty and has no [StorableClass] attribute";
     }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 3017)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class StructSerializer : ICompositeSerializer {    
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 3017)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class TypeSerializer : ICompositeSerializer {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 3017)
@@ -13,5 +13,5 @@
   /// Simple write-only format for debugging purposes.
   /// </summary>
-  [StorableClass(StorableClassType.MarkedOnly)]  
+  [StorableClass]  
   public class DebugString : ISerialData {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 3017)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class DebugStringFormat : FormatBase<DebugString> {
     public override string Name { get { return "DebugString"; } }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 3017)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class NumberArray2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : class {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 3017)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class NumberEnumeration2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : IEnumerable {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 3017)
@@ -9,5 +9,5 @@
   /// or save to a file.
   /// </summary>
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class XmlFormat : FormatBase<XmlString> {
     public override string Name { get { return "XML"; } }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 3017)
@@ -6,5 +6,5 @@
 namespace HeuristicLab.Persistence.Default.Xml {
 
-  [StorableClass(StorableClassType.MarkedOnly)]  
+  [StorableClass]  
   public class XmlString : ISerialData {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Tests/StorableAttributeTests.cs	(revision 3017)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence_33.Tests {
 
-  [StorableClass(StorableClassType.MarkedOnly)] 
+  [StorableClass] 
   class DemoClass {
 
@@ -21,5 +21,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   class Base {
     public string baseName;
@@ -31,5 +31,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   class Override : Base {
     [Storable]
@@ -40,9 +40,9 @@
   }
 
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   class Intermediate : Override {
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   class New : Intermediate {
     public string newName;
Index: trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Tests/UseCases.cs	(revision 3017)
@@ -21,5 +21,5 @@
 namespace HeuristicLab.Persistence_33.Tests {
 
-  [StorableClass(StorableClassType.MarkedOnly)]  
+  [StorableClass]  
   public class NumberTest {
     [Storable]
@@ -43,5 +43,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class NonDefaultConstructorClass {
     [Storable]
@@ -52,5 +52,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class IntWrapper {
 
@@ -75,5 +75,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class PrimitivesTest : NumberTest {
     [Storable]
@@ -90,5 +90,5 @@
   public enum TestEnum { va1, va2, va3, va8 } ;
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class RootBase {
     [Storable]
@@ -98,5 +98,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class Root : RootBase {
     [Storable]
@@ -133,5 +133,5 @@
   public enum TrickyEnum { zero = 0, one = 1, two = 2 }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class EnumTest {
     [Storable]
@@ -143,5 +143,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class Custom {
     [Storable]
@@ -153,5 +153,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class Manager {
 
@@ -166,5 +166,5 @@
   }
 
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class C {
     [Storable]
@@ -373,5 +373,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     public class NestedType {
       [Storable]
@@ -603,5 +603,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     class Child {
       [Storable]
@@ -609,5 +609,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     class Parent {
       [Storable]
@@ -615,5 +615,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     class GrandParent {
       [Storable]
@@ -683,5 +683,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     private class PersistenceHooks {
       [Storable]
@@ -718,5 +718,5 @@
     }
     
-    [StorableClass(StorableClassType.Empty)]
+    [StorableClass]
     private class CustomConstructor {
       public string Value = "none";
@@ -740,5 +740,5 @@
     }
 
-    [StorableClass(StorableClassType.Empty)]
+    [StorableClass]
     public class ExplodingDefaultConstructor {
       public ExplodingDefaultConstructor() {
@@ -784,5 +784,5 @@
     }
 
-    [StorableClass(StorableClassType.MarkedOnly)]
+    [StorableClass]
     public class HookInheritanceTestBase {
       [Storable]
@@ -795,5 +795,5 @@
     }
 
-    [StorableClass(StorableClassType.Empty)]
+    [StorableClass]
     public class HookInheritanceTestDerivedClass : HookInheritanceTestBase {
       [Storable]
